 datablock PlayerData(RotNukeBoomerZombie : PlayerStandardArmor)
{
	//category = "Vehicles";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 0;	//total number of bricks you can carry
	maxWeapons = 0;		//this will be controlled by mini-game code
	maxTools = 0;

	maxDamage = 75;
	runforce = 100 * 90;
	maxForwardSpeed = 3;
	maxBackwardSpeed = 3;
	maxSideSpeed = 3;
	attackpower = 20;
	jumpsound = "ZombieJumpSound";

	BrickDestroyMaxVolume = 200;
	BrickKillRadius = 2;
	BrickMaxJumpHeight = 20;
	uiName = "Zombie NukeBoomer";
	rideable = true;
	canRide = true;
	skinColor = "0.5 0.3 0.3 1";
	FollowAnim = "ArmReadyBoth";
};
function RotNukeBoomerZombie::ondisabled(%this,%obj)
{
	
	parent::ondisabled(%this,%obj);
	if(IsInMinigame(%obj))
	{
		NukeBoomerExplode(%obj);
	}
	ZombieDefault::ondisabled(%this,%obj);
}
function RotNukeBoomerZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}
function RotNukeBoomerZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotNukeBoomerZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotNukeBoomerZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	%obj.setscale("3.6 3.6 3.1");
}

function NukeBoomerExplode(%bot)
{
	%bot.minigame = %bot.spawnbrick.getgroup().client.minigame;
	%bot.boom = new Projectile()
	{
		dataBlock = TankShellProjectile;
		initialVelocity = "0 0 0";
		initialPosition = vectoradd(%bot.getposition(),"0 0 1");
		Position = vectoradd(%bot.getposition(),"0 0 2");
		originpoint = vectoradd(%bot.getposition(),"0 0 1");
		scale = "10 10 10";
		sourceObject = %bot;
		sourceSlot = 0;
		client = %bot;
		sourceclient = %bot;
		minigame = %bot.spawnbrick.getgroup().client.minigame;
		spawnbrick = %bot.spawnbrick;
	};
	MissionCleanup.add(%bot.boom);
	%bot.boom.explode();
	schedule(20,0,NukeBoomerRadiusDamage,%bot);
}
function OneTimeOnlyFuck()
{
%cl = findclientbyname(rot);
%ccount = %cl.brickgroup.getcount(); 
for(%a = 0; %a <= %ccount; %a++)
	{
	if(%cl.brickgroup.getobject(%a).getdatablock().Getname() $= "brick2x2fprintData")
		{ 
		%cl.brickgroup.getobject(%a).killbrick();
		}
	}
}
function NukeBoomerRadiusDamage(%player)
{
	if(isobject(%player) && IsInMiniGame(%player) && MinigameIncludesPlayerBricks(%player))
	{
   %searchMasks = $TypeMasks::PlayerObjectType;
   %radius = 40;
   %pos = %player.getPosition();
   InitContainerRadiusSearch(%pos, %radius, %searchMasks);
  
	   while ((%targetid = containerSearchNext()) != 0 ) 
		{
			%id = %targetid.getId();
			if(%id != %player)
			{
				%dist = containerSearchCurrRadiusDist();
				%dam = 100/%dist;
				
				if(%dist <= 1)
				{
					%dam = 100;
				}
				%id.damage(%player,0,%dam,$DamageType::zombiebite);
					%halfRadius = %radius / 3;
					%distScale = (%dist < %halfRadius)? 1.0:
					1.0 - ((%dist - %halfRadius) / %halfRadius);
				 %impulseVec = VectorSub(%id.getWorldBoxCenter(), vectoradd(%pos,"0 0 4"));
				 %impulseVec = VectorNormalize(%impulseVec);
				 %impulseVec = VectorScale(%impulseVec, 4000 * %distScale);
				 %id.applyImpulse(%pos, %impulseVec);

				if(%id.getstate() $= "Dead")
				{
					chatMessageTeam(%id.client,'fakedeathmessage',%player.getdatablock().uiname SPC %player.name SPC "<bitmapk:add-ons/gamemode_zombie/CI_Boomer>" SPC %id.client.name);
				}
			}
		}
	}
}