 datablock PlayerData(RotMaulerZombie : PlayerStandardArmor)
{
	//category = "Vehicles";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 0;	//total number of bricks you can carry
	maxWeapons = 0;		//this will be controlled by mini-game code
	maxTools = 0;
	runforce = 1000 * 90;
	drag = 0;
	maxForwardSpeed = 5;
	maxBackwardSpeed = 5;
	maxSideSpeed = 5;
	attackpower = 40;
	jumpForce = 0 * 90; //8.3 * 90;
	jumpsound = "ZombieJumpSound";

	mass = 1000;
	maxDamage = 200;
	
	BrickDestroyMaxVolume = 1000;
	BrickMaxJumpHeight = 20;
	uiName = "Zombie Mauler";
	rideable = true;
	canRide = true;
	BrickKillRadius = 8;
	skinColor = "0.7 0.7 0.7 1";
	FollowAnim = "ArmReadyBoth";
};
function RotMaulerZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function RotMaulerZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
	if(IsInMinigame(%obj) && IsInSameMinigame(%col,%obj) && %obj.getstate() !$= "Dead" && %obj.spawnbrick.getgroup().client.minigame.EnableZombies == 1)
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),2000),"0 0 500"));
	}
	if(IsInMinigame(%obj) && MinigameIncludesPlayerBricks(%col) && %col.iszombie && %obj.getstate() !$= "Dead")
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),2000),"0 0 500"));
		%obj.playthread(2,activate2);
	}
}
function RotMaulerZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotMaulerZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotMaulerZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	%obj.setscale("2.0 2.0 1.5");
}